
Redmine - Patch #16190

Relax rejections based on Auto-Submitted header

2014-02-27 12:56 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.6.0   

Description

One of our (Plan.io) uses an email server to forward messages to a Redmine instance which inserts Auto-Submitted: auto-forwarded

headers to the forwarded emails. Those emails are then rejected because of source:/trunk/app/models/mail_handler.rb@12937#L69.

Putting the fact aside that this header is only part of an IETF draft and not of an RFC, and that even according to that draft it shouldn't

be there, this header causes the forwarded emails to be reject. We propose changing the Regex to only match the undesirable

values defined in RFC3834, i.e. /^auto-(replied|generated)/.

Related issues:

Related to Redmine - Feature #11338: Exclude emails with auto-submitted => au... Closed

Related to Redmine - Defect #15999: Ignoring out of office emails Closed

Related to Redmine - Defect #20465: MailHandler: ignoring email with Auto-Sub... Needs feedback

Associated revisions

Revision 13205 - 2014-07-02 18:13 - Toshi MARUYAMA

add "Auto-Submitted: auto-forwarded" to ignore mail test (#16190)

Revision 13206 - 2014-07-02 18:13 - Toshi MARUYAMA

only ignore undesirable Auto-Submitted headers defined in RFC3834 (#16190)

Contributed by Felix Schäfer.

Revision 13207 - 2014-07-02 18:13 - Toshi MARUYAMA

use \A instead of ^ for RegExp (#16190)

History

#1 - 2014-02-27 12:58 - Felix Schäfer

- File 16190.patch added

And here is the patch.

#2 - 2014-02-27 13:13 - Holger Just

To cite from RFC 3834

Recipients of messages containing an Auto-Submitted field with any keyword other than "no" MAY assume that the message was not manually

submitted by a human.

 Thus, although it may be correct to swallow this email, it makes it much harder for people using kind-of-broken mail servers (like Lotus Domino) which

forcefully include the Auto-Submitted: auto-forwarded header into all outgoing mails touched by their forwarding script.

In addition, given that forwarded mails generally are assumed to be valid, we could thus argue that the auto-forwarded mails are not to be dropped.

#3 - 2014-06-13 09:38 - Markus Plutka

+1

#4 - 2014-06-16 09:44 - Jan Niggemann (redmine.org team member)

Patch verified (and it's trivial anyway), can someone please merge this?
https://plan.io
https://www.redmine.org/projects/redmine/repository/svn/revisions/12937/entry/trunk/app/models/mail_handler.rb#L69
http://tools.ietf.org/search/rfc3834#section-5
http://tools.ietf.org/search/rfc3834#section-5


IMHO it's important that we merge such trivial patches right away and not let the contributor wait too long...

#5 - 2014-07-02 15:20 - Miquel Coll

Jan Niggemann (redmine.org team member) wrote:

Patch verified (and it's trivial anyway), can someone please merge this?

IMHO it's important that we merge such trivial patches right away and not let the contributor wait too long...

 I tried the patch in redmine-2.4.5 and worked fine. i'm using Lotus Domino and now the messages are not rejected.

#6 - 2014-07-02 16:43 - Toshi MARUYAMA

- Target version set to 2.6.0

#7 - 2014-07-02 16:49 - Toshi MARUYAMA

- Related to Feature #11338: Exclude emails with auto-submitted => auto-generated added

#8 - 2014-07-02 17:03 - Toshi MARUYAMA

- Related to Defect #15999: Ignoring out of office emails added

#9 - 2014-07-03 05:31 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r13205, r13206 and r13207, thanks.

#10 - 2015-12-05 18:44 - Toshi MARUYAMA

- Related to Defect #20465: MailHandler: ignoring email with Auto-Submitted:auto-generated header added
